Get User Tenants
GET
/user/{userId}/tenant
const url = 'https://api.exolink.cloud/user/example/tenant';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.exolink.cloud/user/example/tenant \ --header 'Authorization: Bearer <token>'List all tenants the user has access to
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string
User ID
Responses
Section titled “Responses”List of user tenants
Media typeapplication/json
Array<object>
Simplified tenant information for user tenant list
object
id
Tenant ID
integer
name
Tenant name
string
domainPrefix
Tenant domain prefix
string
role
User role in a tenant
string
Example
[ { "role": "Owner" }]Missing, invalid or expired credentials
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Not authorized", "errorCode": "ERR_API_NOT_AUTHORIZED"}The caller may not perform this action
Media typeapplication/json
Error response. Some rejections carry only message.
object
message
required
Error message
string
errorCode
Error code
string
details
Failed validations, for requests checked against a schema
Array<object>
object
path
Path of the invalid field
string
message
string
code
string
Example
{ "message": "Forbidden", "errorCode": "ERR_API_FORBIDDEN"}